LibreOffice: OfficeDocumentView Service Reference

LibreOffice LibreOffice 5.0 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Exported Interfaces | List of all members
OfficeDocumentView Service Referencepublished

specifies a view of a standard office document. More...

`import"OfficeDocumentView.idl";`

Inheritance diagram for OfficeDocumentView:

## Exported Interfaces
interface | com::sun::star::view::XSelectionSupplier
| This mandatory interface gives access to the current user selection within this office document view. More...
interface | com::sun::star::view::XViewSettingsSupplier
| This optional interface gives access to the view properties within this control for an office document. More...
interface | com::sun::star::view::XControlAccess
| Within this office document view, this optional interface gives access to the controls which belong to specified control models. More...

## Additional Inherited Members
Public Member Functions inherited from XSelectionSupplier
boolean | select ([in] any xSelection) raises ( com::sun::star::lang::IllegalArgumentException )
| selects the object represented by xSelection if it is known and selectable in this object. More...
any | getSelection ()
void | addSelectionChangeListener ([in] com::sun::star::view::XSelectionChangeListener xListener)
| registers an event listener, which is called when the selection changes. More...
void | removeSelectionChangeListener ([in] com::sun::star::view::XSelectionChangeListener xListener)
| unregisters an event listener which was registered with XSelectionSupplier::addSelectionChangeListener(). More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XViewSettingsSupplier
com::sun::star::beans::XPropertySet | getViewSettings ()
Protected Member Functions inherited from XControlAccess
com::sun::star::awt::XControl | getControl ([in] com::sun::star::awt::XControlModel xModel) raises ( com::sun::star::container::NoSuchElementException )
| is called to get the control from the specified control model. More...

## Detailed Description

specifies a view of a standard office document.

## Exported Interfaces

interface com::sun::star::view::XControlAccess
| optional

Within this office document view, this optional interface gives access to the controls which belong to specified control models.

interface com::sun::star::view::XSelectionSupplier

This mandatory interface gives access to the current user selection within this office document view.

The type of the selection depends on the actual document type.

interface com::sun::star::view::XViewSettingsSupplier
| optional

This optional interface gives access to the view properties within this control for an office document.

See also
  ViewSettings

The documentation for this service was generated from the following file:

- com/sun/star/view/OfficeDocumentView.idl